Subject: bug#49007: 28.0.50; "docstring wider than 80" misfire

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Jun 2021 15:34:11 +0200

Stefan Monnier <[email-masked]> writes:

>> So perhaps the correct fix here is to have the docstring width checker
>> ignore those parts?
>
> Indeed: the (fn ...) on the last line of a docstring is not really part
> of the text, it's just a chunk of data that happens to be stored using
> its printed representation (I'm in part to blame for that design choice,
> and I don't really like it either, but here we are).

No matter where we go, there we are.

I've now pushed a fix for this to Emacs 28 that fixes the test case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no